import asyncRouterMap from './router/asyncRoutes';

let allAasyncRouterMap = [...asyncRouterMap];
let routeNameList = [
  'customerManage',
  'baseManage',
  'systemManage',
  'operateManage',
  'statisticsManage',
  'deviceManage',
  'smaproManage',
];
routeNameList.map(name => {
  try {
    allAasyncRouterMap = allAasyncRouterMap.concat(window[name].default);
  } catch (error) {
    console.error(name + ': ', error);
  }
  return name;
});

const System = manageShell.default;

export default System.createSystem({
  basePath: process.env.VUE_APP_BASE_URL,
  routers: allAasyncRouterMap,
  routeFilter: (routes, allRoute) => {
    if (allRoute && allRoute.length) {
      let addRoute = System.utils.route.formatRouteLink(allRoute);
      for (let index = 0; index < addRoute.length; index++) {
        const element = addRoute[index];
        if (element.children) {
          routes = routes.concat(element.children);
        } else if (
          element.menuCode === process.env.VUE_APP_REGISTER_DASHBOARD_CODE
        ) {
          routes.unshift(element);
        }
      }
    }
    return {
      allRoute,
      routes,
    };
  },
});
